<div class="main-div image-bg">

    <div fxLayout="column" fxLayoutAlign="space-between" fxLayoutGap="10%" fxLayoutAlign="center">
        <mat-card>
            <mat-card-title> Enregistrement </mat-card-title>
        </mat-card>

        <mat-card>
            <mat-card>
                <div fxLayout="column" fxLayoutAlign="space-between center" fxLayoutGap="0.5%">
                    <mat-form-field appearance="legacy">
                        <mat-label>Nom*</mat-label>
                        <input matInput [formControl]="nomCtrl" placeholder="Nom" autocomplete="off">
                    </mat-form-field>

                    <mat-form-field appearance="legacy">
                        <mat-label>Prénom*</mat-label>
                        <input matInput [formControl]="prenomCtrl" placeholder="Prénom" autocomplete="off">
                    </mat-form-field>

                    <mat-form-field appearance="legacy">
                        <mat-label>Pseudo / Nom de l'utilisateur affiché</mat-label>
                        <input matInput [formControl]="pseudoCtrl" placeholder="Pseudo" autocomplete="off">
                    </mat-form-field>

                    <mat-form-field appearance="legacy">
                        <mat-label>Identifiant*</mat-label>
                        <input matInput [formControl]="loginCtrl" placeholder="xxxx@z.com" autocomplete="off">
                        <mat-hint>Veuillez saisir votre adresse mail</mat-hint>
                    </mat-form-field>
                    <mat-error>
                        <span *ngIf="!loginCtrl.valid && loginCtrl.touched">Veuillez
                            saisir votre adresse mail</span>
                    </mat-error>

                    <mat-form-field appearance="legacy">
                        <mat-label>Mot de passe*</mat-label>
                        <input matInput [formControl]="pwdCtrl" type="password" placeholder="Password"
                            (keyup.enter)="onSubmit()" autocomplete="off" [type]="hide ? 'password' : 'text'">
                        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                            [attr.aria-pressed]="hide">
                            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                        <mat-hint> 8 caractères minimum</mat-hint>
                    </mat-form-field>
                    <mat-error>

                        <span *ngIf="!pwdCtrl.valid && pwdCtrl.touched">Veuillez
                            saisir votre mot de passe</span>
                    </mat-error>

                    <mat-card-actions>
                        <button mat-button
                            [disabled]="nomCtrl.invalid || prenomCtrl.invalid || loginCtrl.invalid || pwdCtrl.invalid || isButtonPressed"
                            (click)="onSubmit()">S'enregistrer</button>
                    </mat-card-actions>
                </div>
                <div class="routerlink">
                    <a class="text-link" routerLink="/">S'identifier</a>
                </div>
                <div *ngIf="!loginCtrl.dirty && !pwdCtrl.dirty" class="erreur">{{error}}</div>
            </mat-card>

        </mat-card>
    </div>
    <div class="wrapper">
        <div *ngIf="loading" class="spinner">
            <mat-progress-spinner color="primary" mode="indeterminate">
            </mat-progress-spinner>
        </div>
    </div>
</div>
